### Constructor

# Pango Layout new

#### Declaration [src]

    PangoLayout*
    pango_layout_new (
      PangoContext* context
    )

#### Description [src]

Create a new `PangoLayout` object with attributes initialized to default values for a particular `PangoContext`.

#### Parameters

`context`

  Type: `PangoContext`

  A `PangoContext`

  The data is owned by the caller of the function.

#### Return value

Type: `PangoLayout`

The newly allocated `PangoLayout`

The caller of the function takes ownership of the data, and is responsible for freeing it.